CREATE TABLE eighttrack.log (
  id bigint(20) NOT NULL AUTO_INCREMENT,
  guild bigint(20) NOT NULL,
  log longtext NOT NULL,
  is_exception tinyint(1) NOT NULL,
  date_added timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (id),
  KEY log_fk (guild),
  CONSTRAINT log_fk FOREIGN KEY (guild) REFERENCES eighttrack.discord_guild (id) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;